<?php

namespace App\Controller;

use Ardent\Undercurrent\Attribute\Route;
use Ardent\Undercurrent\Http\GenericResponse;
use Ardent\Undercurrent\Http\ResponseInterface;
use Ardent\Undercurrent\Http\StatusEnum;

class HelloWorldController
{
    #[Route('/')]
    public function index(): ResponseInterface
    {
        return new GenericResponse('Index, <a href="/hello">Hello</a>');
    }

    #[Route('/error')]
    public function error(): ResponseInterface
    {
        return new GenericResponse('error', StatusEnum::NOT_FOUND);
    }

    #[Route('/hello')]
    public function hello(): ResponseInterface
    {
        return new GenericResponse('Hello World!');
    }
}